if [ -r /tmp/SeTT_PX ]; then
  ROOT="`cat /tmp/SeTT_PX`"
fi

cd $ROOT/

if [ ! -f /etc/default/login ]; then
  mkdir -p /etc/default
  cp $ROOT/usr/athena/etc/default.login $ROOT/etc/default/login
  echo "$ROOT/etc/default/login file created."
fi

if ! fgrep "joda Exp" $ROOT/etc/inetd.conf 1> /dev/null 2>&1; then
  cat $ROOT/usr/athena/etc/inetd.conf.changes >> $ROOT/etc/inetd.conf
  echo "extra entries are added in $ROOT/etc/inetd.conf."
fi
if ! fgrep "assar Exp" $ROOT/etc/services 1> /dev/null 2>&1; then
  cat $ROOT/usr/athena/etc/services.append >> $ROOT/etc/services
  echo "extra services are appended in $ROOT/etc/services."
fi

kill -HUP `pidof inetd`

echo "  You have to configure files: "
echo "	  $ROOT/etc/krb.conf"
echo "	  $ROOT/etc/krb.realms"
echo "	  ..."
echo "You can find sample files in $ROOT/usr/athena/etc/ directory."
echo "  You need farther installation work to create Kerberos database"
echo "if you want to make a Kerberos server.  See documents."
echo ""

if [ -d $ROOT/usr/info ]; then
  INF_DIR=$ROOT/usr/info
else
  if [ -d $ROOT/usr/share/info ]; then
    INF_DIR=$ROOT/usr/share/info
  else
    if [ -d $ROOT/usr/local/info ]; then
      INF_DIR=$ROOT/usr/local/info
    fi
  fi
fi
if [ ."$INF_DIR" != ."" ]; then
  if  ! fgrep "Kerberos-IV" $ROOT/$INF_DIR/dir 1> /dev/null 2>&1; then
    cp $ROOT/usr/athena/info/kth-krb.info $ROOT/$INF_DIR/
    cp $ROOT/usr/athena/info/kth-krb-ja.info $ROOT/$INF_DIR/
    cat $ROOT/usr/athena/info/dir.add >> $ROOT/$INF_DIR/dir
    echo "kth-krb.info installed in $ROOT/$INF_DIR/"
  fi
fi
( cd usr/athena/man/man3 ; rm -rf k_hasafs.3 )
( cd usr/athena/man/man3 ; ln -sf kafs.3 k_hasafs.3 )
( cd usr/athena/man/man3 ; rm -rf k_pioctl.3 )
( cd usr/athena/man/man3 ; ln -sf kafs.3 k_pioctl.3 )
( cd usr/athena/man/man3 ; rm -rf k_unlog.3 )
( cd usr/athena/man/man3 ; ln -sf kafs.3 k_unlog.3 )
( cd usr/athena/man/man3 ; rm -rf k_setpag.3 )
( cd usr/athena/man/man3 ; ln -sf kafs.3 k_setpag.3 )
( cd usr/athena/man/man3 ; rm -rf k_afs_cell_of_file.3 )
( cd usr/athena/man/man3 ; ln -sf kafs.3 k_afs_cell_of_file.3 )
( cd usr/athena/man/man3 ; rm -rf krb_afslog.3 )
( cd usr/athena/man/man3 ; ln -sf kafs.3 krb_afslog.3 )
( cd usr/athena/man/man3 ; rm -rf krb_afslog_uid.3 )
( cd usr/athena/man/man3 ; ln -sf kafs.3 krb_afslog_uid.3 )
